Summary:   Base component for comex project
Name:      comex-base
Version:   0.1.8.5
Release:   %mkrel 2
License:   GPLv2
Group:     Office/Utilities
Source0:   http://comex-project.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:   mono.snk
URL:       http://comex-project.googlecode.com/
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: log4net-devel
BuildRequires: pkgconfig

Requires: mono
Requires: log4net
Requires: pcsc-lite
Requires: libpcsclite1
# libpcsclite-devel required because contain /usr/lib/libpcsclite.so
# not contained in to libpcsclite1
#Requires: libpcsclite-devel


%description
Is base component of a simple application that can be used to exchange
data with smartcards using PC/SC standard readers or smartmouse
phoenix serial reader.

%package devel
Summary:	Base component for comex project
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
Is base component of a simple application that can be used to exchange
data with smartcards using PC/SC standard readers or smartmouse
phoenix serial reader.


%prep
%setup -q

%build
cp /etc/pki/mono/mono.snk comex-base/comex-base.snk
%configure2_5x --prefix=/usr --libdir=%_prefix/lib 
%make

%install
mkdir -p %{buildroot}%{_datadir}/pkgconfig
%makeinstall_std linuxpkgconfigdir=%{_datadir}/pkgconfig
mkdir -p %{buildroot}%{_prefix}/lib/mono/gac/
gacutil -i %{buildroot}%{_prefix}/lib/%{name}/comex-base.dll \
        -f \
        -package %{name} \
        -root %{buildroot}%{_prefix}/lib/ \
        -gacdir %{buildroot}%{_prefix}/lib/mono/gac

%files
%doc copying.gpl comex-base/Docs/readme
%_prefix/lib/mono/gac/comex-base/
%_prefix/lib/mono/comex-base
%_prefix/lib/%{name}
%{_datadir}/%{name}

%files devel
%{_datadir}/pkgconfig/%{name}.pc


%changelog

* Thu Jan 24 2013 fwang <fwang> 0.1.8.5-2.mga3
+ Revision: 391965
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 steletch <steletch> 0.1.8.5-1.mga2
+ Revision: 198838
- imported package comex-base

